import 'dart:typed_data';

import 'package:hl_lieferservice/model/delivery.dart';
import 'package:hl_lieferservice/feature/delivery/detail/service/notes_service.dart';

class NoteRepository {
  final NoteService service;
  NoteRepository({required this.service});

  Future<Note> addNote(String deliveryId, String content) async {
    return service.addNote(content, int.parse(deliveryId));
  }

  Future<void> deleteNote(String noteId) async {
    return service.deleteNote(int.parse(noteId));
  }

  Future<List<Note>> loadNotes(String deliveryId) async {
    return [];
  }

  Future<List<Uint8List>> loadImages(String deliveryId) async {
    return [];
  }

  Future<void> addImage(String deliveryId, Uint8List imageBytes) async {}
  Future<void> deleteImage(String deliveryId, String imageIdentifier) async {}
}